Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcGLSingleSurfaceResource Class Reference

Resource for the XFcGLResourceSurface. More...

Inheritance diagram for XFcGLSingleSurfaceResource:

[legend]
Collaboration diagram for XFcGLSingleSurfaceResource:

[legend]
List of all members.

## Public Member Functions
virtual | ~XFcGLSingleSurfaceResource ()
| Virtual destructor.
INT | lock ()
| Locks the surface.
INT | unlock ()
| Unlocks the surface.
## Static Public Member Functions
XFcGLSingleSurfaceResource * | create (XFcGLResourceSurface *aSurface, const CHAR *aFilename, INT32 aFlags)
| Creates the surface resource.
## Protected Member Functions
| XFcGLSingleSurfaceResource ()
| Protected constructor.
virtual INT | callback (void *aBuffer)
| Resource creation callback.
## Protected Attributes
XFcGLResourceSurface * | mSurface
| Pointer to the resource surface.
CHAR * | mFilename
| Resource surface file name.

## Detailed Description

Resource for the XFcGLResourceSurface.

This class acts as the resource for the XFcGLResourceSurface. It uses the XFcImageLoader to load the image whenever the resource is created (or re-created).

## Constructor & Destructor Documentation

virtual XFcGLSingleSurfaceResource::~XFcGLSingleSurfaceResource | ( |  | ) | `[virtual]`

| Virtual destructor.

XFcGLSingleSurfaceResource::XFcGLSingleSurfaceResource | ( |  | ) | `[protected]`

| Protected constructor.

## Member Function Documentation

virtual INT XFcGLSingleSurfaceResource::callback | ( | void * | aBuffer | ) | `[protected, virtual]`

| Resource creation callback. Reimplemented from XFcResource.

XFcGLSingleSurfaceResource* XFcGLSingleSurfaceResource::create | ( | XFcGLResourceSurface * | aSurface,
|  | const CHAR * | aFilename,
|  | INT32 | aFlags
| ) | `[static]`

  | Creates the surface resource. Parameters:
  aSurface | the target resource surface
  aFilename | file name to load image for the surface from
  aFlags | resource creation flags

INT XFcGLSingleSurfaceResource::lock | ( |  | ) |

| Locks the surface.

INT XFcGLSingleSurfaceResource::unlock | ( |  | ) |

| Unlocks the surface.

## Member Data Documentation

CHAR* XFcGLSingleSurfaceResource::mFilename`[protected]`

| Resource surface file name.

XFcGLResourceSurface* XFcGLSingleSurfaceResource::mSurface`[protected]`

| Pointer to the resource surface.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch